# Permission is hereby granted, free of charge, to any person obtaining
# a copy of this software and associated documentation files (the
# "Software"), to deal in the Software without restriction, including
# without limitation the rights to use, copy, modify, merge, publish,
# distribute, sublicense, and/or sell copies of the Software, and to
# permit persons to whom the Software is furnished to do so, subject to
# the following conditions:
# 
# The above copyright notice and this permission notice shall be
# included in all copies or substantial portions of the Software.
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
# LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
# OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
# WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

"""Fast, lightweight library for a huge number of graphs.

Graphillion is a Python software package on search, optimization, and
enumeration for a "graphset", or a set of graphs.
See README for details.
"""

from graphillion.universe import Universe
from graphillion.setset import setset
from graphillion.vertex_setset import VertexSetSet
from graphillion.edgevertex_setset import EdgeVertexSetSet
from graphillion.graphset import GraphSet
from graphillion.digraphset import DiGraphSet
from graphillion.graphclass import GraphClass
import graphillion.release

__version__ = release.version
#__date__ = release.date
__license__ = release.license
__author__ = '\n'.join(['{} <{}>'.format(x[0], x[1]) for x in release.authors])
